---

- name: ensure group docker exists
  group:
    name:  docker
    state: present
  notify: restart_docker


- name: add user in docker group
  user:
    name:            '{{ username }}'
    groups:          docker
    append:          yes
  notify: restart_docker


- name: force restart docker service
  meta: flush_handlers
